package com.sunxung.factoring.service.tradingPlatform;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.GridPage;
import com.sunxung.factoring.entity.ResponseJson;
import com.sunxung.factoring.entity.tradingPlatform.Platform;
import com.sunxung.factoring.entity.vo.ConditionVo;

import java.util.Date;
import java.util.List;

/**
 * @author  liutao
 */
public interface PlatformService extends IService<Platform> {

    /**新增贸易平台
     * add
     * @param platform 贸易平台信息
     */
    ResponseJson add(Platform platform);

    /**查询所有贸易平台
     * findAll
     * @return 所有贸易平台
     */
    List<Platform> findAll();

    /**
     * 分页查询
     * @param conditionVo
     * @return
     */
    GridPage findPage(ConditionVo conditionVo);

    /**
     * 确定业务获取贸易平台
     * @param businessNumber
     * @return
     */
    Platform getPlateformByBusiness(String businessNumber);

    void updateShortUrl(Date date);

    /**
     * 刷新认证和自动签署链接
     * @param id
     * @return
     */
    void flushUrl(Long id);

    void flush(Long id);
}
